default_CONFIG = CONFIG_EXAMPLE_DEMO_SUITK=x

ifeq ($(CONFIG_EXAMPLE_DEMO_SUITK),y)

bin_PROGRAMS = demo_suitk

demo_suitk_SOURCES = tgtspec.c appdata.c main.c

lib_LOADLIBES = suitk suifont suiut suitk misc ulevpoll ulut

ifneq ($(TARGET_OS),rtems)

lib_LOADLIBES += rt

else # TARGET_OS rtems

lib_LOADLIBES += nano-X mwengine t1 freetype m

demo_suitk_SOURCES += rtems-cfg.c

endif # TARGET_OS rtems

endif #CONFIG_EXAMPLE_DEMO_SUITK
